<template>
  <div id="cita-liste">
   <div class="btn--top 2">
        <a @click="btnBackHome"><i class="fas fa-home"></i></a>
      </div>
<form class="col-6 mx-auto">
  <div class="form-group">
     <span v-show="warningMail" id="warning">Verifica tu correo !</span>
        <span v-show="warningPassword" id="warning"
          >Verifica tu contraseña !</span
        >
    <label for="exampleInputEmail1">Email address</label>
    <input  v-model="email" type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
  </div>
  <div class="form-group">
    <label for="exampleInputPassword1">Password</label>
    <input v-model="password" type="password" class="form-control" id="exampleInputPassword1">
  </div>
 <button @click="btnIniciarSesion" type="button" class="btn btn-primary">
         Login
        </button>

        <button @click="btnRegistr" type="button" class="btn btn-primary">
          Registrarme
        </button>
</form>

  </div>
</template>

<script>
export default {
  name: "TakeAppointment",
  props: {
    warningMail: Boolean,
    warningPassword: Boolean
  },
  date() {
    return {
      email: null,
      password: null
    };
  },
  methods: {
        btnBackHome() {
      this.$emit("back-home");
    },
    btnIniciarSesion() {
      this.$emit("emit-valid-email", this.email, this.password);
    },
    btnRegistr() {
      this.$emit("registr");
    }
  }
};
</script>

<style scoped>
#cita-liste{
  margin-top:30px;
  margin-bottom:60px
}

.btn--top {
  width: 100%;
  display: block;
  text-align: center;
  margin-top: 50px;

     
}

.btn--top a {
  left: 545px;
    top: 642px;
  background-color: white;
  color: black;
  text-decoration: none;
    position: absolute;
  display: inline-block;
  font-size: 16px;
width: 260px;
  padding: 16px 65px;
  border-radius: 40px;

  cursor: pointer;
}
.btn--top a:hover {
  background-color: #d2dbf9;
}
</style>
